Package rdkit :: Package DataStructs :: Module HierarchyVis

[hide private]
[frames] | no frames]

# Module HierarchyVis

source code

    functionality for drawing hierarchical catalogs on sping
    canvases

Classes | [hide private]

| VisOpts

Functions | [hide private]

GetMinCanvasSize(adjList, levelList) | source code

DrawHierarchy(adjList, levelList, canvas, entryColors=None, bitIds=None, minLevel=-1, maxLevel=1e8) Arguments: | source code

Variables | [hide private]

| visOpts = `VisOpts()`

Imports: piddle

Function Details | [hide private]

### DrawHierarchy(adjList, levelList, canvas, entryColors=None, bitIds=None, minLevel=-1, maxLevel=1e8)

source code

    Arguments:

     - adjList: adjacency list representation of the hierarchy to be drawn

     - levelList: dictionary mapping level -> list of ids